<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of LiTraAk Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# LiTraAk Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# LiTraAk Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LiTraAk Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

# Chargement des classes
$GLOBALS['__autoload']['litraak'] = dirname(__FILE__).'/inc/class.litraak.php';
$GLOBALS['__autoload']['litraakUtils'] = dirname(__FILE__).'/inc/lib.litraak.utils.php';
$GLOBALS['__autoload']['litraakPage'] = dirname(__FILE__).'/inc/lib.litraak.page.php';
$GLOBALS['__autoload']['litraakPublic'] = dirname(__FILE__).'/inc/lib.litraak.public.php';
$GLOBALS['__autoload']['litraakTemplates'] = dirname(__FILE__).'/inc/lib.litraak.templates.php';
$GLOBALS['__autoload']['litraakExtProject'] = dirname(__FILE__).'/inc/lib.litraak.extensions.php';
$GLOBALS['__autoload']['litraakExtMilestone'] = dirname(__FILE__).'/inc/lib.litraak.extensions.php';
$GLOBALS['__autoload']['litraakExtTicket'] = dirname(__FILE__).'/inc/lib.litraak.extensions.php';
$GLOBALS['__autoload']['litraakMedia'] = dirname(__FILE__).'/inc/class.litraak.media.php';
$GLOBALS['__autoload']['litraakRestMethods'] = dirname(__FILE__).'/inc/lib.litraak.services.php';

# Nouveau type de post
$core->setPostType('litraak', 'plugin.php?p=litraak&projectid=%s', $core->blog->settings->litraak_basename_url.'/%s/');

# Services
$core->rest->addFunction('getTicketById',array('litraakRestMethods','getTicketById'));
$core->rest->addFunction('getMilestoneById',array('litraakRestMethods','getMilestoneById'));

?>